.link-with-icon {
  position: relative;
  display: inline-block;
  padding-left: 1.4rem;

  &::before {
    position: absolute;
    top: .06rem;
    left: 0;
    display: inline-block;
    font-family: 'mpiwg-icons' !important;
    font-weight: normal;
    line-height: inherit;
    -moz-osx-font-smoothing: grayscale;
  }

  &:active,
  &:focus,
  &:hover {
    text-decoration: none;
  }
}

.paragraph--type--group-links {
  a.external,
  a.internal {
    &.multiline {
      display: block;
    }
  }
}

// .back-button.external::before,
// .back-button.internal::before {
//   display: none;
// }

.external,
.internal,
.link-download {
  @extend .link-with-icon;
}

.link-download::before {
  content: '\e905';
}

.internal::before {
  content: '\e90e';
}

.external::before {
  content: '\e906';
}

.linkTypeMail.external {
  padding-left: 0;

  &::before {
    content: none;
  }
}

.go-to {
  text-transform: uppercase;
  @extend .link-with-icon;

  &::before {
    content: '\e906';
  }
}

.block-custom-buttons {
  padding-top: 0;
}

.event-share-buttons-wrapper {
  padding-top: 3rem;

  .event-add-to-calendar {
    position: relative;

    & > span {
      position: absolute;
      left: -9000px;

      span.addtocalendar {
        position: absolute;
        left: 9022px;
        width: 8rem;
        top: .1rem;
      }
    }

    .atcb-item,
    .atcb-list {
      background-color: transparent;
    }
  }
}

.tabs-primary {
  a {
    &::before {
      display: none;
    }
  }
}

.back-button.external,
.back-button.internal {
  padding: 0;

  &:before {
    display: none;
  }

  i {
    &:after {
      display: inline-block;
    }
  }
}
